Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client
Class RequestLeaseSetMessageHandler

    java.lang.Object
      net.i2p.client.HandlerImpl
          net.i2p.client.RequestLeaseSetMessageHandler

All Implemented Interfaces:
  I2CPMessageHandler

     class RequestLeaseSetMessageHandler

extends HandlerImpl

Handle I2CP RequestLeaseSetMessage from the router by granting all leases

Author:
  jrandom

Field Summary

Fields inherited from class net.i2p.client.HandlerImpl
`_context, _log`

Constructor Summary
`RequestLeaseSetMessageHandler(I2PAppContext context)`

Method Summary
`void` | `handleMessage(I2CPMessage message, I2PSessionImpl session)`

Methods inherited from class net.i2p.client.HandlerImpl
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestLeaseSetMessageHandler

    public RequestLeaseSetMessageHandler(I2PAppContext context)

Method Detail

### handleMessage

    public void handleMessage(I2CPMessage message,
                              I2PSessionImpl session)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD